# QNetworkCacheMetaData Class Reference

### [com.trolltech.qt.network package]

### Constructor

- void QNetworkCacheMetaData()
- void QNetworkCacheMetaData(QNetworkCacheMetaData other)

### Constructor Properties

- prototype: The QNetworkCacheMetaData prototype object

### Prototype Object Properties

- HashMap attributes()
- QDateTime expirationDate()
- bool isValid()
- QDateTime lastModified()
- bool operator_equal(QNetworkCacheMetaData other)
- List rawHeaders()
- void readFrom(QDataStream arg__1)
- bool saveToDisk()
- void setAttributes(HashMap attributes)
- void setExpirationDate(QDateTime dateTime)
- void setLastModified(QDateTime dateTime)
- void setRawHeaders(List headers)
- void setSaveToDisk(bool allow)
- void setUrl(QUrl url)
- QUrl url()
- void writeTo(QDataStream arg__1)

### Instance Properties

QNetworkCacheMetaData objects have no special properties beyond those inherited from the QNetworkCacheMetaData prototype object.